[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Name space conflicts (Was: ncbi-blast+ 2.6.0)



Hi Aaron,

On Mon, Jan 16, 2017 at 11:23:18AM -0500, Aaron M. Ucko wrote:
> BLAST+ 2.6.0 came out last week; will you have time to update the Debian
> package, or should I?

Olivier has answered this in his response.
 
> Meanwhile, I do plan to package last week's release of ncbi-entrez-direct,
> but have been holding off because it's relatively minor and I'm working on
> eliminating the need to declare conflicts.  (The pairs of conflicting
> executables have such radically different usage that it should be possible
> to divert other packages' versions and substitute a script that figures
> out which executable the user meant to run.)

Alternatively you might have a look into the solution I usually apply to
put original binary names in /usr/lib/debian-med/bin.  Feel free to
check the examples in plink and snap.

Kind regards

      Andreas.

-- 
http://fam-tille.de


Reply to: